0
Under review

Videos Playing in Firefox but Won't Play in Chrome

irfantony 3 weeks ago updated 3 weeks ago 3

Hi, after upgrading my server, I'm having trouble with every video file on FileRun.

All videos playing in Firefox but won't play in Chrome.

Old Server: CentOS 7.5, VestaCP

Apache 2.4.39

PHP 5.6.37

dB 10.2.37-MariaDB


New Server:

CentOS 7.5, CentOS Web Panel

Apache 2.4.39

PHP 5.6.37

dB 10.2.37-MariaDB


So the only difference is on the control panel and the hardware.


The error message on Chrome console:

Failed to load resource: the server responded with a status of 403 (Forbidden)


I checked all file permissions:

  • folders: 755, except public_html: 750
  • files: 644

I did try changing public_html permission from 750 to 755 but problem still persists.


I noticed the public_html owner is my****a and the group is nobody. The rest of folders is my***a:my***a. Is it correct setting?


What step I should take to troubleshoot this?


TIA

This is the error log:

[Sat Apr 24 13:25:01.157596 2021] [:error] [pid 29757:tid 140705552893696] [client 139.194.104.129:55270] [client 139.194.104.129] ModSecurity: Access denied with code 403 (phase 2). String match "bytes=0-" at REQUEST_HEADERS:Range. [file "/usr/local/apache/modsecurity-owasp-old/base_rules/modsecurity_crs_20_protocol_violations.conf"] [line "428"] [id "958291"] [rev "2"] [msg "Range: field exists and begins with 0."] [data "bytes=0-1"] [severity "WARNING"] [ver "OWASP_CRS/2.2.9"] [maturity "6"] [accuracy "8"] [tag "OWASP_CRS/PROTOCOL_VIOLATION/INVALID_HREQ"] [hostname "domain,com"] [uri "/wl/"] [unique_id "YIO5vTqjFZeuI6i-yxcQ5AAAAUk"], referer: https://domain,com/wl/?id=Re8lC7rkpGhSycHtKUzXO84TrGQrx0HJ

Hope this log help identify the root cause

TIA

+1
Under review

If you disable Apache modsecurity you will most probably fix this problem. If it does solve this problem, then you need to look into the module's configuration to see what is this problem it finds with your browser's request headers.

P.S. FileRun doesn't support PHP 5, but the minimum required version is 7.1. Just in case you are using an old FileRun version, perhaps it's time to upgrade.

Solved by modsec turned off. Thank you

Yes, I plan to upgrade my FileRun but my version is too old (2018.05.22). 

When I click "download update" and "Update successfully downloaded". Where's the file downloaded? 


Should I just click "Install update"? is it going to update to ver. 2018.11.11 or straight up to the latest ver.? 

Thanks